using System;

namespace Zadatak1
{
	class Program
	{
		public static void Main(string[] args)
		{
			int br=0;
			int C=0;
			int k=0;
			int temp=0;
			bool radi=true;
			int n=int.Parse(Console.ReadLine());
			string[] Coord=Console.ReadLine().Split();
			int[] x=new int[n];
			
			for(int i=0;i<n;i++)
			{
				x[i]=Convert.ToInt32(Coord[i]);
			}
			
			while(radi)
			{
				if(k==n-1)
				{
					radi=false;
				}
				if(br>=Math.Pow(10,6))
				{
					radi=false;
				}
				for(int i=0;i<n;i++)
				{
					if(x[i]==C)
					{
						radi=false;
					}
				}
					if(temp!=1)
					{
						int min=int.MaxValue;
						for(int i=0;i<n;i++)
						{
							if(x[i]>0 && x[i]<min && x[i]<1000000)
							{
								min=x[i];
							}
						}
						for(int i=0;i<n;i++)
						{
							if(x[i]==min)
							{
								x[i]=int.MaxValue;
								k++;
							}
						}
						Console.Write("1");
						temp=1;
						
					}
					
					else if(temp!=2)
					{
						int max=int.MinValue;
						for(int i=0;i<n;i++)
						{
							if(x[i]<0 && x[i]>max)
							{
								max=x[i];
							}
						}
						for(int i=0;i<n;i++)
						{
							if(x[i]==max)
							{
								x[i]=int.MaxValue;
								k++;
							}
						}
						Console.Write("2");
						temp=2;
						
					}
					
					else
					{
						C++;
						Console.Write("3");
						temp=3;
					}
					br++;
					for(int i=0;i<n;i++)
					{
						if(x[i]>C)
						{
							x[i]--;
						}
						else
						{
							x[i]++;
						}
					}
					
				}
		}
	}
}